# puppet maintained

######################
# deb.debian.org
<% if scope.function_has_static_component(['deb.debian.org']) -%>
<Macro vstatic-vhost-extra-deb.debian.org>
	ServerAlias httpredir.debian.org
	ServerAlias cdn.debian.net
	ServerAlias http.debian.net
	ServerAlias deb-nagios.debian.org

	Redirect /debian                  http://cdn-fastly.deb.debian.org/debian
	Redirect /debian-debug            http://cdn-fastly.deb.debian.org/debian-debug
	Redirect /debian-ports            http://cdn-fastly.deb.debian.org/debian-ports
	Redirect /debian-security         http://cdn-fastly.deb.debian.org/debian-security
	Redirect /debian-security-debug   http://cdn-fastly.deb.debian.org/debian-security-debug
</Macro>

<VirtualHost <%= @vhost_listen_443 %> >
	ServerName deb.debian.org

	ErrorLog /var/log/apache2/deb.debian.org-error.log
	CustomLog /var/log/apache2/deb.debian.org-access.log combined

	Use common-debian-service-ssl deb.debian.org
	Use common-ssl-HSTS

	ServerAdmin debian-admin@lists.debian.org
	<IfModule mod_userdir.c>
		UserDir disabled
	</IfModule>
	ServerSignature On

	DocumentRoot /srv/static.debian.org/mirrors/deb.debian.org/cur
	<Directory /srv/static.debian.org/mirrors/deb.debian.org/cur>
		AllowOverride FileInfo Indexes Options=Multiviews
		Options Indexes SymLinksIfOwnerMatch
		Require all granted
	</Directory>

	Header set Surrogate-Key <%= @hostname %>

	AddOutputFilterByType DEFLATE text/html text/plain text/xml text/css

	Redirect /debian                  https://cdn-fastly.deb.debian.org/debian
	Redirect /debian-debug            https://cdn-fastly.deb.debian.org/debian-debug
	Redirect /debian-ports            https://cdn-fastly.deb.debian.org/debian-ports
	Redirect /debian-security         https://cdn-fastly.deb.debian.org/debian-security
	Redirect /debian-security-debug   https://cdn-fastly.deb.debian.org/debian-security-debug
</VirtualHost>
<% end -%>

<Macro vstatic-vhost-extra-lintian.debian.org>
	# For a more friendly 404 error page
	ErrorDocument 404 /404.html

	<Location "/tags/">
		# To allow access .html files without their extension
		Options +MultiViews
	</Location>
</Macro>

<Macro vstatic-vhost-extra-bits.debian.org>
	<IfModule mod_geoip.c>
		CustomLog /var/log/apache2/bits.debian.org-public-access.log privacy+geo
	</IfModule>
</Macro>

<Macro vstatic-vhost-extra-metadata.ftp-master.debian.org>
	AddDefaultCharset utf-8

	# Rewrite away double slashes
	RewriteEngine on
	RewriteCond %{REQUEST_URI} ^(.*)//(.*)$ [NC]
	RewriteRule . %1/%2 [L,NE]

	<LocationMatch "/changelogs/(main|contrib|non-free)">
		ForceType text/plain
	</LocationMatch>
</Macro>

<Macro vstatic-vhost-extra-release.debian.org>
	RewriteEngine	on
	RewriteRule		^/migration/$			/migration/testing.pl
	RewriteRule		^/migration/search/(.+)/$	/migration/testing.pl?package=$1
	RewriteCond		%{QUERY_STRING} package=((.)(.*))
	RewriteRule		^/migration/testing.pl		/migration/cache/%2/%1.html [PT,L]
	RewriteRule		^/migration/testing.pl		/migration/cache/_index.html

	Alias /oldstable-proposed-updates/ /srv/static.debian.org/mirrors/release.debian.org-pu/cur/
	Alias /proposed-updates/ /srv/static.debian.org/mirrors/release.debian.org-pu/cur/
	<Directory /srv/static.debian.org/mirrors/release.debian.org-pu/cur>
		Require all granted
		Options Indexes SymLinksIfOwnerMatch MultiViews

		AddEncoding gzip .gz
		FilterDeclare gzip CONTENT_SET
		FilterProvider gzip inflate "%{req:Accept-Encoding} !~ /gzip/"
		FilterChain gzip
		<Files *.debdiff.gz>
			ForceType text/plain
			AddDefaultCharset utf-8
		</Files>
		<Files *.debdiff.html.gz>
			ForceType text/html
			AddDefaultCharset utf-8
		</Files>
		AddType text/plain .wml
	</Directory>
</Macro>

<Macro vstatic-vhost-extra-www.ports.debian.org>
	<Directory /srv/static.debian.org/mirrors/www.ports.debian.org/cur>
		AllowOverride FileInfo Indexes Options=Multiviews
		Options Multiviews Indexes FollowSymLinks Includes
		Require all granted
	</Directory>

	AddOutputFilter INCLUDES .xhtml
</Macro>


<Macro vstatic-vhost-extra-wiki.debconf.org>
	<Location /wiki/>
		ForceType text/html
	</Location>
	<Location /action/>
		ForceType text/html
	</Location>

	RewriteEngine on
	SSLProxyEngine on
	RewriteRule ^/$ /wiki/Main_Page [L,P]
	RewriteRule ^/wiki/$ /wiki/Main_Page [L]

	RewriteCond %{QUERY_STRING} (^|&)modules=mediawiki.legacy.commonPrint,shared|skins.monobook(&|$)
	RewriteCond %{QUERY_STRING} (^|&)only=styles(&|$)
	RewriteRule ^/load.php$ /load-monobook-styles.css [L,QSD]

	RewriteCond %{QUERY_STRING} (^|&)modules=site(&|$)
	RewriteCond %{QUERY_STRING} (^|&)only=styles(&|$)
	RewriteRule ^/load.php$ /load-site-styles.css [L,QSD]

	RewriteCond %{QUERY_STRING} (^|&)modules=startup(&|$)
	RewriteCond %{QUERY_STRING} (^|&)only=scripts(&|$)
	RewriteRule ^/load.php$ /load-startup-scripts.js [L,QSD]

	RewriteCond %{QUERY_STRING} (^|&)modules=site(&|$)
	RewriteCond %{QUERY_STRING} (^|&)only=scripts(&|$)
	RewriteRule ^/load.php$ /load-site-scripts.js [L,QSD]

	RewriteCond %{QUERY_STRING} (^|&)modules=jquery%2Cmediawiki(&|$)
	RewriteCond %{QUERY_STRING} (^|&)only=scripts(&|$)
	RewriteRule ^/load.php$ /load-jquery-scripts.js [L,QSD]

	RewriteCond %{QUERY_STRING} (^|&)modules=jquery.client%2Ccookie%2CmessageBox%2CmwExtension|mediawiki.legacy.ajax%2Cwikibits|mediawiki.page.startup|mediawiki.util(&|$)
	RewriteRule ^/load.php$ /load-jquery.client.js [L,QSD]

	RewriteCond %{QUERY_STRING} (^|&)modules=jquery.checkboxShiftClick%2CmakeCollapsible%2Cmw-jump%2Cplaceholder%7Cmediawiki.page.ready%7Cmediawiki.user(&|$)
	RewriteRule ^/load.php$ /load-jquery.checkbox.js [L,QSD]
</Macro>

<Macro vstatic-vhost-extra-www.debconf.org>
	ServerAlias www-test.debconf.org

	<Directory /srv/static.debian.org/mirrors/www.debconf.org/cur>
		Options +IncludesNOEXEC
		SSILegacyExprParser on
		DirectoryIndex index.shtml
	</Directory>

	AddOutputFilter INCLUDES .shtml

	RewriteEngine On
	# A few redirects for older debconf sites, so old links work
	RewriteRule ^/gallery/(.*)$ https://gallery.debconf.org/v/$1 [L]
	RewriteRule ^/.*years$ https://10years.debconf.org/ [L]
	RewriteRule ^/debconf2$ https://debconf2.debconf.org/ [L]
	RewriteRule ^/debconf3$ https://debconf3.debconf.org/ [L]
	RewriteRule ^/debconf4$ https://debconf4.debconf.org/ [L]
	RewriteRule ^/debconf5$ https://debconf5.debconf.org/ [L]
	RewriteRule ^/10years/(.*)$ https://10years.debconf.org/$1 [L]
	RewriteRule ^/debconf2/(.*)$ https://debconf2.debconf.org/$1 [L]
	RewriteRule ^/debconf3/(.*)$ https://debconf3.debconf.org/$1 [L]
	RewriteRule ^/debconf4/(.*)$ https://debconf4.debconf.org/$1 [L]
	RewriteRule ^/debconf5/(.*)$ https://debconf5.debconf.org/$1 [L]
</Macro>

<Macro vstatic-vhost-extra-openpgpkey.debian.org>
	# Legacy GPG versions (including 2.2.12 in buster/Debian 10) get redirections from
	# the (not supposed to be default) direct method wrong.
	#  They ask for https://debian.org/.well-known/openpgpkey/hu/<hash>
	#  get a redirect to https://openpgpkey.debian.org/.well-known/openpgpkey/debian.org/hu/<hash>
	#  and then try to fetch https://openpgpkey.debian.org/.well-known/openpgpkey/hu/<hash>
	# *sigh*
	# cf. https://dev.gnupg.org/T4603
	Alias /.well-known/openpgpkey/hu/ /srv/static.debian.org/mirrors/openpgpkey.debian.org/cur/debian.org/hu/
	Alias /.well-known/openpgpkey/policy /srv/static.debian.org/mirrors/openpgpkey.debian.org/cur/debian.org/policy

	# The draft specified well-known place using the "advanced method"
	Alias /.well-known/openpgpkey/ /srv/static.debian.org/mirrors/openpgpkey.debian.org/cur/
	<Location />
		Options -Indexes
	</Location>

	RewriteEngine on
	RewriteRule ^/$ https://keyring.debian.org/ [L]
</Macro>

<%=

def vhost(lines, sn, kwargs={})
	if scope.function_has_static_component([sn])
		if not kwargs[:extra]
				lines << "<Macro vstatic-vhost-extra-#{sn}>"
				lines << "  # mod macro does not like empty macros, so here's some content:"
				lines << "  <Directory /non-existent>"
				lines << "  </Directory>"
				lines << "</Macro>"
		end

		lines << "Use prepare-static-vhost #{sn}"

		if kwargs[:ssl] and kwargs[:ssl_optional]
			lines << "Use static-vhost-plain-#{sn}"
			lines << "Use static-vhost-ssl-#{sn}"
		elsif kwargs[:ssl]
			lines << "Use common-dsa-vhost-https-redirect #{sn}"
			lines << "Use static-vhost-ssl-#{sn}"
		else
			lines << "Use static-vhost-plain-#{sn}"
		end

		onion = scope.function_onion_global_service_hostname([sn])
		lines << "Use static-vhost-onion-#{sn} #{onion}" if onion
		onionv3 = scope.function_onionv3_global_service_hostname([sn])
		lines << "Use static-vhost-onion-#{sn} #{onionv3}" if onionv3

		lines << ""
	end
end

lines = []
vhost(lines, "mozilla.debian.net"            , :ssl => true, :ssl_optional => true)
vhost(lines, "backports.debian.org"          , :ssl => true)
vhost(lines, "incoming.debian.org"           , :ssl => true, :ssl_optional => true)
vhost(lines, "incoming.ports.debian.org"     , :ssl => true, :ssl_optional => true)
vhost(lines, "debdeltas.debian.net"          , :ssl => true, :ssl_optional => true)
vhost(lines, "news.debian.net"               , :ssl => true)
vhost(lines, "bootstrap.debian.net"          , :ssl => true)
vhost(lines, "debaday.debian.net"            , :ssl => true)
vhost(lines, "timeline.debian.net"           , :ssl => true)
vhost(lines, "blends.debian.org"             , :ssl => true)
vhost(lines, "wnpp-by-tags.debian.net"       , :ssl => true)
vhost(lines, "security-team.debian.org"      , :ssl => true)
vhost(lines, "d-i.debian.org"                , :ssl => true)
vhost(lines, "appstream.debian.org"          , :ssl => true)
vhost(lines, "dpl.debian.org"                , :ssl => true)
vhost(lines, "dsa.debian.org"                , :ssl => true)
vhost(lines, "lintian.debian.org"            , :ssl => true, :extra => true)
vhost(lines, "mirror-master.debian.org"      , :ssl => true)
vhost(lines, "onion.debian.org"              , :ssl => true)
vhost(lines, "openpgpkey.debian.org"         , :ssl => true, :extra => true)
vhost(lines, "manpages.debian.org"           , :ssl => true, :extra => true)
vhost(lines, "cdbuilder-logs.debian.org"     , :ssl => true)

vhost(lines, "bits.debian.org"               , :ssl => true, :extra => true)
vhost(lines, "micronews.debian.org"          , :ssl => true)
vhost(lines, "metadata.ftp-master.debian.org", :extra => true)

vhost(lines, "10years.debconf.org"           , :ssl => true)
vhost(lines, "debconf0.debconf.org"          , :ssl => true)
vhost(lines, "debconf1.debconf.org"          , :ssl => true)
vhost(lines, "debconf2.debconf.org"          , :ssl => true)
vhost(lines, "debconf3.debconf.org"          , :ssl => true)
vhost(lines, "debconf4.debconf.org"          , :ssl => true)
vhost(lines, "debconf5.debconf.org"          , :ssl => true)
vhost(lines, "debconf6.debconf.org"          , :ssl => true)
vhost(lines, "debconf7.debconf.org"          , :ssl => true)
vhost(lines, "debconf8.debconf.org"          , :ssl => true)
vhost(lines, "debconf9.debconf.org"          , :ssl => true)
vhost(lines, "debconf10.debconf.org"         , :ssl => true)
vhost(lines, "debconf11.debconf.org"         , :ssl => true)
vhost(lines, "debconf12.debconf.org"         , :ssl => true)
vhost(lines, "debconf13.debconf.org"         , :ssl => true)
vhost(lines, "debconf14.debconf.org"         , :ssl => true)
vhost(lines, "debconf15.debconf.org"         , :ssl => true)
vhost(lines, "debconf16.debconf.org"         , :ssl => true)
vhost(lines, "debconf17.debconf.org"         , :ssl => true)
vhost(lines, "debconf18.debconf.org"         , :ssl => true)
vhost(lines, "debconf19.debconf.org"         , :ssl => true)
vhost(lines, "debconf20.debconf.org"         , :ssl => true)
vhost(lines, "debconf21.debconf.org"         , :ssl => true)
vhost(lines, "debconf22.debconf.org"         , :ssl => true)
vhost(lines, "debconf23.debconf.org"         , :ssl => true)
vhost(lines, "bcn2014.mini.debconf.org"      , :ssl => true)
vhost(lines, "br2016.mini.debconf.org"       , :ssl => true)
vhost(lines, "br2017.mini.debconf.org"       , :ssl => true)
vhost(lines, "br2018.mini.debconf.org"       , :ssl => true)
vhost(lines, "bucharest2015.mini.debconf.org", :ssl => true)
vhost(lines, "fr2010.mini.debconf.org"       , :ssl => true)
vhost(lines, "fr2012.mini.debconf.org"       , :ssl => true)
vhost(lines, "hamburg-2022.mini.debconf.org" , :ssl => true)
vhost(lines, "hamburg-2023.mini.debconf.org" , :ssl => true)
vhost(lines, "in2010.mini.debconf.org"       , :ssl => true)
vhost(lines, "in2011.mini.debconf.org"       , :ssl => true)
vhost(lines, "in2013.mini.debconf.org"       , :ssl => true)
vhost(lines, "in2014.mini.debconf.org"       , :ssl => true)
vhost(lines, "in2015.mini.debconf.org"       , :ssl => true)
vhost(lines, "in2016.mini.debconf.org"       , :ssl => true)
vhost(lines, "in2021.mini.debconf.org"       , :ssl => true)
vhost(lines, "in2022.mini.debconf.org"       , :ssl => true)
vhost(lines, "mdco2.mini.debconf.org"        , :ssl => true)
vhost(lines, "ni2013.mini.debconf.org"       , :ssl => true)
vhost(lines, "nz2015.mini.debconf.org"       , :ssl => true)
vhost(lines, "pt2023.mini.debconf.org"       , :ssl => true)
vhost(lines, "tn23.mini.debconf.org"         , :ssl => true)
# actually a mini-debconf
vhost(lines, "mdcobr2020.debian.net"         , :ssl => true)
vhost(lines, "es.debconf.org"                , :ssl => true)
vhost(lines, "fr.debconf.org"                , :ssl => true)
vhost(lines, "media.debconf.org"             , :ssl => true)
vhost(lines, "miniconf10.debconf.org"        , :ssl => true)
vhost(lines, "penta.debconf.org"             , :ssl => true)
vhost(lines, "summit.debconf.org"            , :ssl => true)
vhost(lines, "wiki.debconf.org"              , :ssl => true, :extra => true)
vhost(lines, "www.debconf.org"               , :ssl => true, :extra => true)

vhost(lines, "deb.debian.org"                , :extra => true)
vhost(lines, "release.debian.org"            , :ssl => true, :extra => true)
vhost(lines, "www.ports.debian.org"          , :ssl => true, :extra => true)

lines.join("\n")
-%>

# www.backports.org
###################
# www.backports.org is the historical place for the backports
# website and archive.  It is now a CNAME to backports.debian.org:
# redirect http requests.
<VirtualHost <%= @vhost_listen %> >
	ServerName www.backports.org
	ServerAlias lists.backports.org
	ServerAdmin debian-admin@debian.org
	RedirectPermanent / https://backports.debian.org/
</VirtualHost>

######################
<VirtualHost <%= @vhost_listen %> >
	ServerName www.debian-ports.org
	ServerAlias debian-ports.org
	ServerAlias ports.debian.net
	ServerAdmin debian-admin@debian.org
	RedirectPermanent / https://www.ports.debian.org/
</VirtualHost>

Use common-dsa-vhost-https-redirect ports.debian.org
<VirtualHost <%= @vhost_listen_443 %> >
	ServerName ports.debian.org
	ServerAdmin debian-admin@debian.org
	Use common-debian-service-ssl www.ports.debian.org
	Use common-ssl-HSTS
	RedirectPermanent / https://www.ports.debian.org/
</VirtualHost>

<VirtualHost <%= @vhost_listen %> >
	ServerName incoming.debian-ports.org
	ServerAdmin debian-admin@debian.org
	RedirectPermanent / http://incoming.ports.debian.org/
</VirtualHost>

<VirtualHost <%= @vhost_listen %> >
	ServerName ftp.debian-ports.org
	ServerAdmin debian-admin@debian.org
	RedirectPermanent /archive https://www.ports.debian.org
	RedirectPermanent /debian http://ftp.ports.debian.org/debian-ports
	RedirectPermanent /debian-cd https://cdimage.debian.org/cdimage/ports/
	RedirectPermanent / http://ftp.ports.debian.org/
</VirtualHost>

<Macro vstatic-vhost-video.debian.net>
	ServerName video.debian.net
	ServerAdmin debian-admin@debian.org
	Redirect / https://meetings-archive.debian.net/pub/debian-meetings/
</Macro>

<VirtualHost <%= @vhost_listen %> >
	Use vstatic-vhost-video.debian.net
</VirtualHost>

<VirtualHost <%= @vhost_listen_443 %> >
	Use vstatic-vhost-video.debian.net
	Use common-debian-service-ssl video.debian.net
	Use common-ssl-HSTS
</VirtualHost>

<Macro vstatic-vhost-debian.community>
	ServerName debian.community
	ServerAlias uncensored.debian.community www.debian.community
	ServerAdmin debian-admin@debian.org
	RewriteEngine On
	RewriteRule .* https://www.debian.org/legal/debian-community-site [R,L]
</Macro>

<VirtualHost <%= @vhost_listen %> >
	Use vstatic-vhost-debian.community
</VirtualHost>

<VirtualHost <%= @vhost_listen_443 %> >
	Use vstatic-vhost-debian.community
	Use common-debian-service-ssl debian.community
	#Use common-ssl-HSTS
</VirtualHost>

<Macro vstatic-vhost-debian.chat>
	ServerName debian.chat
	ServerAlias www.debian.chat
	ServerAdmin debian-admin@debian.org
	RewriteEngine On
	RewriteRule .* https://www.debian.org/legal/debian-community-site [R,L]
</Macro>

<VirtualHost <%= @vhost_listen %> >
	Use vstatic-vhost-debian.chat
</VirtualHost>

<VirtualHost <%= @vhost_listen_443 %> >
	Use vstatic-vhost-debian.chat
	Use common-debian-service-ssl debian.chat
	#Use common-ssl-HSTS
</VirtualHost>

<Macro vstatic-vhost-debiancommunity.org>
	ServerName debiancommunity.org
	ServerAlias www.debiancommunity.org
	ServerAdmin debian-admin@debian.org
	RewriteEngine On
	RewriteRule .* https://www.debian.org/legal/debian-community-site [R,L]
</Macro>

<VirtualHost <%= @vhost_listen %> >
	Use vstatic-vhost-debiancommunity.org
</VirtualHost>

<VirtualHost <%= @vhost_listen_443 %> >
	Use vstatic-vhost-debiancommunity.org
	Use common-debian-service-ssl debiancommunity.org
	#Use common-ssl-HSTS
</VirtualHost>

<Macro vstatic-vhost-debian.day>
	ServerName debian.day
	ServerAlias www.debian.day
	ServerAdmin debian-admin@debian.org
	RewriteEngine On
	RewriteRule .* https://www.debian.org/legal/debian-community-site [R,L]
</Macro>

<VirtualHost <%= @vhost_listen %> >
	Use vstatic-vhost-debian.day
</VirtualHost>

<VirtualHost <%= @vhost_listen_443 %> >
	Use vstatic-vhost-debian.day
	Use common-debian-service-ssl debian.day
	#Use common-ssl-HSTS
</VirtualHost>

<Macro vstatic-vhost-debian.family>
	ServerName debian.family
	ServerAlias www.debian.family
	ServerAdmin debian-admin@debian.org
	RewriteEngine On
	RewriteRule .* https://www.debian.org/legal/debian-community-site [R,L]
</Macro>

<VirtualHost <%= @vhost_listen %> >
	Use vstatic-vhost-debian.family
</VirtualHost>

<VirtualHost <%= @vhost_listen_443 %> >
	Use vstatic-vhost-debian.family
	Use common-debian-service-ssl debian.family
	#Use common-ssl-HSTS
</VirtualHost>

<Macro vstatic-vhost-debian.finance>
	ServerName debian.finance
	ServerAlias www.debian.finance
	ServerAdmin debian-admin@debian.org
	RewriteEngine On
	RewriteRule .* https://www.debian.org/legal/debian-community-site [R,L]
</Macro>

<VirtualHost <%= @vhost_listen %> >
	Use vstatic-vhost-debian.finance
</VirtualHost>

<VirtualHost <%= @vhost_listen_443 %> >
	Use vstatic-vhost-debian.finance
	Use common-debian-service-ssl debian.finance
	#Use common-ssl-HSTS
</VirtualHost>

<Macro vstatic-vhost-debian.giving>
	ServerName debian.giving
	ServerAlias www.debian.giving
	ServerAdmin debian-admin@debian.org
	RewriteEngine On
	RewriteRule .* https://www.debian.org/legal/debian-community-site [R,L]
</Macro>

<VirtualHost <%= @vhost_listen %> >
	Use vstatic-vhost-debian.giving
</VirtualHost>

<VirtualHost <%= @vhost_listen_443 %> >
	Use vstatic-vhost-debian.giving
	Use common-debian-service-ssl debian.giving
	#Use common-ssl-HSTS
</VirtualHost>

<Macro vstatic-vhost-debiangnulinux.org>
	ServerName debiangnulinux.org
	ServerAlias www.debiangnulinux.org
	ServerAdmin debian-admin@debian.org
	RewriteEngine On
	RewriteRule .* https://www.debian.org/legal/debian-community-site [R,L]
</Macro>

<VirtualHost <%= @vhost_listen %> >
	Use vstatic-vhost-debiangnulinux.org
</VirtualHost>

<VirtualHost <%= @vhost_listen_443 %> >
	Use vstatic-vhost-debiangnulinux.org
	Use common-debian-service-ssl debiangnulinux.org
	#Use common-ssl-HSTS
</VirtualHost>

<Macro vstatic-vhost-debian.guide>
	ServerName debian.guide
	ServerAlias www.debian.guide
	ServerAdmin debian-admin@debian.org
	RewriteEngine On
	RewriteRule .* https://www.debian.org/legal/debian-community-site [R,L]
</Macro>

<VirtualHost <%= @vhost_listen %> >
	Use vstatic-vhost-debian.guide
</VirtualHost>

<VirtualHost <%= @vhost_listen_443 %> >
	Use vstatic-vhost-debian.guide
	Use common-debian-service-ssl debian.guide
	#Use common-ssl-HSTS
</VirtualHost>

<Macro vstatic-vhost-debian.news>
	ServerName debian.news
	ServerAlias www.debian.news
	ServerAdmin debian-admin@debian.org
	RewriteEngine On
	RewriteRule .* https://www.debian.org/legal/debian-community-site [R,L]
</Macro>

<VirtualHost <%= @vhost_listen %> >
	Use vstatic-vhost-debian.news
</VirtualHost>

<VirtualHost <%= @vhost_listen_443 %> >
	Use vstatic-vhost-debian.news
	Use common-debian-service-ssl debian.news
	#Use common-ssl-HSTS
</VirtualHost>

<Macro vstatic-vhost-debian.plus>
	ServerName debian.plus
	ServerAlias www.debian.plus
	ServerAdmin debian-admin@debian.org
	RewriteEngine On
	RewriteRule .* https://www.debian.org/legal/debian-community-site [R,L]
</Macro>

<VirtualHost <%= @vhost_listen %> >
	Use vstatic-vhost-debian.plus
</VirtualHost>

<VirtualHost <%= @vhost_listen_443 %> >
	Use vstatic-vhost-debian.plus
	Use common-debian-service-ssl debian.plus
	#Use common-ssl-HSTS
</VirtualHost>

<Macro vstatic-vhost-debianproject.community>
	ServerName debianproject.community
	ServerAlias www.debianproject.community
	ServerAdmin debian-admin@debian.org
	RewriteEngine On
	RewriteRule .* https://www.debian.org/legal/debian-community-site [R,L]
</Macro>

<VirtualHost <%= @vhost_listen %> >
	Use vstatic-vhost-debianproject.community
</VirtualHost>

<VirtualHost <%= @vhost_listen_443 %> >
	Use vstatic-vhost-debianproject.community
	Use common-debian-service-ssl debianproject.community
	#Use common-ssl-HSTS
</VirtualHost>

<Macro vstatic-vhost-debianproject.org>
	ServerName debianproject.org
	ServerAlias www.debianproject.org
	ServerAdmin debian-admin@debian.org
	RewriteEngine On
	RewriteRule .* https://www.debian.org/legal/debian-community-site [R,L]
</Macro>

<VirtualHost <%= @vhost_listen %> >
	Use vstatic-vhost-debianproject.org
</VirtualHost>

<VirtualHost <%= @vhost_listen_443 %> >
	Use vstatic-vhost-debianproject.org
	Use common-debian-service-ssl debianproject.org
	#Use common-ssl-HSTS
</VirtualHost>

<Macro vstatic-vhost-debian.team>
	ServerName debian.team
	ServerAlias www.debian.team
	ServerAdmin debian-admin@debian.org
	RewriteEngine On
	RewriteRule .* https://www.debian.org/legal/debian-community-site [R,L]
</Macro>

<VirtualHost <%= @vhost_listen %> >
	Use vstatic-vhost-debian.team
</VirtualHost>

<VirtualHost <%= @vhost_listen_443 %> >
	Use vstatic-vhost-debian.team
	Use common-debian-service-ssl debian.team
	#Use common-ssl-HSTS
</VirtualHost>

<Macro vstatic-vhost-debian.video>
	ServerName debian.video
	ServerAlias www.debian.video
	ServerAdmin debian-admin@debian.org
	RewriteEngine On
	RewriteRule .* https://www.debian.org/legal/debian-community-site [R,L]
</Macro>

<VirtualHost <%= @vhost_listen %> >
	Use vstatic-vhost-debian.video
</VirtualHost>

<VirtualHost <%= @vhost_listen_443 %> >
	Use vstatic-vhost-debian.video
	Use common-debian-service-ssl debian.video
	#Use common-ssl-HSTS
</VirtualHost>

<Macro vstatic-vhost-debian.quebec>
	ServerName debian.quebec
	ServerAlias www.debian.quebec
	ServerAdmin debian-admin@debian.org
	RewriteEngine On
	RewriteRule .* https://wiki.debian.org/LocalGroups/DebianQuebec [R,L]
</Macro>

<VirtualHost <%= @vhost_listen %> >
	Use vstatic-vhost-debian.quebec
</VirtualHost>

<VirtualHost <%= @vhost_listen_443 %> >
	Use vstatic-vhost-debian.quebec
	Use common-debian-service-ssl debian.quebec
	#Use common-ssl-HSTS
</VirtualHost>

Use common-dsa-vhost-https-redirect lists.alioth.debian.org
<VirtualHost <%= @vhost_listen_443 %> >
	ServerName lists.alioth.debian.org
	ServerAdmin debian-admin@debian.org
	Use common-debian-service-ssl lists.alioth.debian.org
	Use common-ssl-HSTS
	Redirect / https://alioth-lists.debian.net/
</VirtualHost>

Use common-dsa-vhost-https-redirect pkg-ruby-extras.alioth.debian.org
<VirtualHost <%= @vhost_listen_443 %> >
	ServerName pkg-ruby-extras.alioth.debian.org
	ServerAdmin debian-admin@debian.org
	Use common-debian-service-ssl pkg-ruby-extras.alioth.debian.org
	Use common-ssl-HSTS
	Redirect / https://gemwatch.debian.net/
</VirtualHost>

Use common-dsa-vhost-https-redirect video.debconf.org
<VirtualHost <%= @vhost_listen_443 %> >
	ServerName video.debconf.org
	ServerAdmin debian-admin@debian.org
	Use common-debian-service-ssl video.debconf.org
	Use common-ssl-HSTS
	Redirect / https://debconf-video-team.pages.debian.net/docs/
</VirtualHost>

<% if scope.function_has_static_component(['metadata.ftp-master.debian.org']) -%>
<VirtualHost <%= @vhost_listen_443 %> >
	ServerName metadata.ftp-master.debian.org
	ServerAlias metadata-backend.ftp-master.debian.org
	# all self-referential URLs should use the public host name
	UseCanonicalName On
	Use common-debian-service-ssl metadata-backend.ftp-master.debian.org
	ErrorLog /var/log/apache2/metadata-backend.ftp-master.debian.org-error.log
	CustomLog /var/log/apache2/metadata-backend.ftp-master.debian.org-access.log combined

	Use static-vhost-base-metadata.ftp-master.debian.org
</VirtualHost>
<% end -%>

Use common-dsa-vhost-https-redirect blog.debconf.org
<VirtualHost <%= @vhost_listen_443 %> >
	ServerName blog.debconf.org
	ServerAdmin debian-admin@debian.org
	Use common-debian-service-ssl blog.debconf.org
	Use common-ssl-HSTS
	Redirect / https://bits.debian.org/tag/debconf.html
</VirtualHost>

Use common-dsa-vhost-https-redirect mini.debconf.org
<VirtualHost <%= @vhost_listen_443 %> >
	ServerName mini.debconf.org
	ServerAdmin debian-admin@debian.org
	Use common-debian-service-ssl mini.debconf.org
	Use common-ssl-HSTS
	Redirect / https://wiki.debian.org/MiniDebConf
</VirtualHost>

Use common-dsa-vhost-https-redirect debconf.org
<VirtualHost <%= @vhost_listen_443 %> >
	ServerName debconf.org
	ServerAdmin debian-admin@debian.org
	Use common-debian-service-ssl debconf.org
	Use common-ssl-HSTS
	Redirect / https://www.debconf.org/
</VirtualHost>

Use common-dsa-vhost-https-redirect debconf.net
<VirtualHost <%= @vhost_listen_443 %> >
	ServerName debconf.net
	ServerAdmin debian-admin@debian.org
	Use common-debian-service-ssl debconf.net
	Use common-ssl-HSTS
	Redirect / https://www.debconf.org/
</VirtualHost>

Use common-dsa-vhost-https-redirect www.debconf.net
<VirtualHost <%= @vhost_listen_443 %> >
	ServerName www.debconf.net
	ServerAdmin debian-admin@debian.org
	Use common-debian-service-ssl www.debconf.net
	Use common-ssl-HSTS
	Redirect / https://www.debconf.org/
</VirtualHost>

# historical sites
##################
# now only redirects remain
<VirtualHost <%= @vhost_listen %> >
	ServerName women.debian.org
	ServerAdmin debian-admin@debian.org

	RedirectPermanent / https://www.debian.org/women/

	RedirectPermanent /about/ https://www.debian.org/women/about
	RedirectPermanent /contact/ https://www.debian.org/women/contact
	RedirectPermanent /faqs/ https://www.debian.org/women/faq
	RedirectPermanent /home/ https://www.debian.org/women/
	RedirectPermanent /images/dw.png https://www.debian.org/women/dw.png
	RedirectPermanent /involvement/ https://www.debian.org/women/participate
	RedirectPermanent /mentoring/ https://www.debian.org/women/mentoring
	RedirectPermanent /press/ https://wiki.debian.org/DebianWomen/Press
	RedirectPermanent /profiles/ https://www.debian.org/women/profiles/
</VirtualHost>

<VirtualHost <%= @vhost_listen %> >
	ServerName ftp-master.metadata.debian.org
	ServerAdmin debian-admin@debian.org
	RedirectPermanent / http://metadata.ftp-master.debian.org/
</VirtualHost>

<VirtualHost <%= @vhost_listen %> >
	ServerName backports-master.debian.org
	ServerAdmin debian-admin@debian.org
	RedirectPermanent / https://backports.debian.org/
</VirtualHost>

<VirtualHost <%= @vhost_listen %> >
	ServerName manpages.debian.net
	ServerAdmin debian-admin@debian.org
	Redirect / https://manpages.debian.org/
</VirtualHost>

Use common-dsa-vhost-https-redirect sources.debian.net
<VirtualHost <%= @vhost_listen_443 %> >
	ServerName sources.debian.net
	ServerAdmin debian-admin@debian.org
	Use common-debian-service-ssl sources.debian.net
	Use common-ssl-HSTS
	Redirect permanent / https://sources.debian.org/
</VirtualHost>

Use common-dsa-vhost-https-redirect lists.debconf.org
<VirtualHost <%= @vhost_listen_443 %> >
	ServerName lists.debconf.org
	ServerAdmin debian-admin@debian.org
	Use common-debian-service-ssl lists.debconf.org
	Use common-ssl-HSTS
	RewriteEngine On
	RewriteRule .* https://lists.debian.org/debconf.html
</VirtualHost>

# error pages
#############

Use common-dsa-vhost-https-redirect archive.debian.net
<VirtualHost <%= @vhost_listen_443 %> >
	ServerName archive.debian.net
	ServerAdmin debian-admin@debian.org
	ErrorLog /var/log/apache2/archive.debian.net-error.log
	CustomLog /var/log/apache2/archive.debian.net-access.log combined
	Use common-debian-service-ssl archive.debian.net
	Use common-ssl-HSTS
	Use common-disabled-service
</VirtualHost>

<VirtualHost <%= @vhost_listen %> >
	ServerName cdimage.debian.org
	ServerAlias cloud.debian.org
	ServerAlias get.debian.org
	ServerAlias bttracker.debian.org
	ServerAlias meetings-archive.debian.net
	ServerAdmin debian-admin@debian.org
	ErrorLog /var/log/apache2/cdimage.debian.org-error.log
	CustomLog /var/log/apache2/cdimage.debian.org-access.log combined

	<IfModule mod_userdir.c>
		UserDir disabled
	</IfModule>
	DocumentRoot /srv/static.debian.org/puppet/cdimage.debian.org
	<Directory /srv/static.debian.org/puppet/cdimage.debian.org>
		Require all granted
	</Directory>
	RewriteEngine On
	RewriteRule !^/503.html / [R=503]
	ErrorDocument 503 /503.html
</VirtualHost>

<VirtualHost <%= @vhost_listen_443 %> >
	ServerName cdimage.debian.org
	ServerAlias cloud.debian.org
	ServerAlias get.debian.org
	ServerAlias bttracker.debian.org
	ServerAlias meetings-archive.debian.net
	ServerAdmin debian-admin@debian.org
	ErrorLog /var/log/apache2/cdimage.debian.org-error.log
	CustomLog /var/log/apache2/cdimage.debian.org-access.log combined
	Use common-debian-service-ssl cdimage.debian.org

	<IfModule mod_userdir.c>
		UserDir disabled
	</IfModule>
	DocumentRoot /srv/static.debian.org/puppet/cdimage.debian.org
	<Directory /srv/static.debian.org/puppet/cdimage.debian.org>
		Require all granted
	</Directory>
	RewriteEngine On
	RewriteRule !^/503.html / [R=503]
	ErrorDocument 503 /503.html
</VirtualHost>


# vim:ft=apache:
